Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 4.0

...

  • IntelliJ IDEA 7.0 or higher (only Commercial licenses). (A License Server-compatible build of IntelliJ IDEA 6.0 is available upon request.)
  • ReSharper 3.1 or higher (only Commercial licenses).
  • ReSharper Cpp 1.0 or higher
  • dotTrace 5.5 or higher (only Commercial licenses). (Floating licenses are supported starting from dotTrace 3.1).
  • dotMemory 4.0 or higher (only Commercial licenses).
  • dotCover 1.0 or higher.
  • RubyMine 1.0 or higher.
  • PyCharm 1.0 or higher.
  • WebStorm 1.0 or higher
  • PhpStorm 1.0 or higher 
  • AppCode 1.0 or higher
  • CLion 1.0 or higher
    Tip

    You can have earlier versions of these products in your network, but you can't manage them using License Server.

License Server issues and revokes license tickets
HTML Comment
hiddentrue
Wiki Markup
{HTMLcomment:hidden}License Server issues and revokes license tickets to/from network clients based on properties of license keys that are provided by JetBrains after purchase. License Server supports the following two types of license keys:


* *Standard (commercial) per\- user license key*. License Server allows a customer to use a product concurrently by _the number of users corresponding with the number of per-user license keys_ run by License Server;


* *True-up license key.* License Server allows a customer to use a product concurrently by _multiple users with a single true-up license key_ run by License Server. If you are interested in more details on the true-up license model, please [contact sales|http://www.jetbrains.com/company/contacts/].
{HTMLcomment}

System Requirements

  • Java SE Runtime Environment (JRE)/Java SE Development Kit (JDK) 6 or higher installed in any of the following operating systems:
    • Windows® (2000, NT 4.0 or higher, XP or Win7).
    • Linux/UNIX-based OS.
    • Macintosh OSX™.
  • Apache Tomcat 6.0 or higher. Warning:  Tomcat version 8.0.17 is broken, so the license server won't run on this particular Tomcat build.
  • Mozilla Firefox 2.0+, Internet Explorer 7.0+, Safari 3.0+ or Google Chrome for accessing the License Server control panel.

...